package user_real_name

import (
	"applet/app/svc/user_real_name"
	"github.com/gin-gonic/gin"
)

// Base
// @Summary      基本设置-实名认证-基本配置
// @Tags         基本设置
// @Description  基本设置-实名认证
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object} md.UserRealNameBaseResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userRealName/base [get]
func Base(c *gin.Context) {
	user_real_name.Base(c)
}

// BaseSave
// @Summary      基本设置-实名认证-基本配置保存
// @Tags         基本设置
// @Description  基本设置-实名认证-基本配置保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserRealNameBaseResp          true   "(分页信息必填)"
// @Success      200   {string}   	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userRealName/base/save [post]
func BaseSave(c *gin.Context) {
	user_real_name.BaseSave(c)
}
