package md

type UserRealNameReq struct {
	Uid   string `json:"uid"`
	Phone string `json:"phone"`
	Name  string `json:"name"`
	IdNo  string `json:"id_no"`
	Page  string `json:"page"`
	Limit string `json:"limit"`
	State string `json:"state"`
}
type UserRealNameResp struct {
	Total      int64               `json:"total"`
	List       []UserRealName      `json:"list"`
	SelectData []map[string]string `json:"select_data"`
}
type UserRealName struct {
	Id       string `json:"id"`
	Uid      string `json:"uid"`
	Phone    string `json:"phone"`
	Name     string `json:"name"`
	IdNo     string `json:"id_no"`
	PayState string `json:"pay_state"  example:"0未支付  1已支付"`
	State    string `json:"state" example:"0未申请  1申请通过  3申请失败"`
}
type UserRealNameSaveReq struct {
	Id    string `json:"id"`
	State string `json:"state"`
}

type UserRealNameBaseResp struct {
	UserRealNameMoney string `json:"user_real_name_money" example:"实名认证费用" `
	UserRealNameRule  string `json:"user_real_name_rule" example:"实名认证说明" `
}
