package md

type GetBasicResp struct {
	OssEndpoint                  string `json:"oss_endpoint" example:"oss地域节点"`
	OssBucketName                string `json:"oss_bucket_name" example:"oss存储桶名称"`
	OssBucketScheme              string `json:"oss_bucket_scheme" example:"oss上传方式"`
	OssAccessKeyId               string `json:"oss_access_key_id" example:"oss访问秘钥id"`
	OssAccessKeySecret           string `json:"oss_access_key_secret" example:"oss访问秘钥"`
	OssObjectDomain              string `json:"oss_object_domain" example:"oss域名"`
	OssOption                    string `json:"oss_option" example:"oss上传文件类型选项,以逗号分割"`
	OssAssumeRoleAccessKeyID     string `json:"oss_assume_role_access_key_id" example:"oss RAM角色访问秘钥id"`
	OssAssumeRoleAccessKeySecret string `json:"oss_assume_role_access_key_secret" example:"oss RAM角色访问秘钥"`
	OssAssumeRoleARN             string `json:"oss_assume_arn" example:"oss RAM角色ARN"`
}

type SetBasicReq struct {
	OssEndpoint                  string `json:"oss_endpoint" example:"oss地域节点"`
	OssBucketName                string `json:"oss_bucket_name" example:"oss存储桶名称"`
	OssBucketScheme              string `json:"oss_bucket_scheme" example:"oss上传方式"`
	OssAccessKeyId               string `json:"oss_access_key_id" example:"oss访问秘钥id"`
	OssAccessKeySecret           string `json:"oss_access_key_secret" example:"oss访问秘钥"`
	OssObjectDomain              string `json:"oss_object_domain" example:"oss域名"`
	OssOption                    string `json:"oss_option" example:"oss上传文件类型选项,以逗号分割"`
	OssAssumeRoleAccessKeyID     string `json:"oss_assume_role_access_key_id" example:"oss RAM角色访问秘钥id"`
	OssAssumeRoleAccessKeySecret string `json:"oss_assume_role_access_key_secret" example:"oss RAM角色访问秘钥"`
	OssAssumeRoleARN             string `json:"oss_assume_arn" example:"oss RAM角色ARN"`
}
