package user_real_name

import (
	"applet/app/svc/user_real_name"
	"github.com/gin-gonic/gin"
)

// List
// @Summary      基本设置-实名认证列表
// @Tags         基本设置
// @Description  基本设置-实名认证列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserRealNameReq          true   "(分页信息必填)"
// @Success      200   {object}  md.UserRealNameResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userRealName/list [post]
func List(c *gin.Context) {
	user_real_name.List(c)
}

// Save
// @Summary      基本设置-实名认证-修改认证状态
// @Tags         基本设置
// @Description  基本设置-修改认证状态
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserRealNameSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userRealName/save [post]
func Save(c *gin.Context) {
	user_real_name.Save(c)
}
